#
#
#	Internet-Connect (TM) SLIP/PPP Startup Script Sample
#
# Each script line has the following general syntax
#	command arg1 arg2 ...
# Null line or line started with # is ignored (comment line)
# Number of arguments following each command depends on the command.
# An argument may be an integer or a text string. If a text string
#	contains spaces, it must be enclosed in quotes (").
# Valid commands are:
#	done			-end script normally
#	fail			-terminate script abnormally
#	goto label_name 	-jump to script line with label_name
#	label label_name	-label a script line
#	pause pause_in_secs	-short wait
#	raisedtr
#	dropdtr
#	setcr [CarriageReturn_character] -default is \r
#	launch application_to_be_launched [goto_if_fail]
#	timeout default_timeout_in_secs
#	expect "expect_string" [timeout_in_secs [label_to_go_to_if_timeout]]
#	expectaddr [timeout_in_secs [label_to_go_to_if_timeout]]
#	send "send_string"	-send a string to host (CR appended automatically)
#	sendpass "password"	-send a password (will not write to log)
#	send $variable		-prompt for variable string then send it to host
#	expect $variable [timeout_in_secs [label_to_go_if_timeout]]
# where $variable:
#	$p (password, send only)
#	$l (local IP address, expect only)
#	$r (remote IP address, expect only)
#	$c (any command, e.g. start SLIP, send only)
#	$u (userid, send only)
#
# Note that text string must be in quotes if contains spaces, e.g.
#	expect "Please enter user-id"
#
#
timeout 45
send AT&F&D0V1
expect OK 60 failexit
pause 1
send ATDT9-123-1234567
expect "CONNECT" 60 failexit
# Send some CR's to solicit a login prompt from host
send ""
send ""
expect ogin: 30 failexit
# Wait a bit here. Some Unix systems expect a brief delay
# between the time the prompt is sent out and user-is is
# entered
#pause 1
#send my_userid
send $u
expect assword: 30 failexit
# Wait a bit here. Some Unix systems expect a brief delay
# between the time the prompt is sent out and password is
# entered
#pause 1
#sendpass my_password
sendpass $p
# Login is successful, expect greetings string
#expect opyrigh 30 failexit
#send ""
#send ""
#pause 5
# Prompt for then send a command to start up SLIP
#send $c
# get host (remote) IP address
#expect $r
# Wait a bit to give host time to setup
pause 1
done
label failexit
fail
